import { AppProvider } from '../../../../../core/modules/_shared/domain/models/app-provider';
import { ProtectionPlanModule } from '../../../protection-plan';
export default class PlanListingAndCreationUseCaseProvider implements AppProvider {
    private module;
    constructor(module: ProtectionPlanModule);
    get type(): "service";
    services(): Record<string, any>;
}
